Subject: Re: [bug#43101] [PATCH] Add version number in release ISO

From: Julien Lepiller <[email-masked]>
Date: Sun, 30 Aug 2020 11:11:08 -0400

Yes, it makes sense! I'll send a patch for that too. Thank you!

Le 30 août 2020 11:05:27 GMT-04:00, Mathieu Othacehe <[email-masked]> a écrit :
>
>Hello Julien,
>
>Thanks for this patch!
>
>>>Please include (gnu image) and avoid ‘@’.
>>
>> (gnu image) is already imported, but conflicts with another module
>for partition, leading to a compilation error. What should I do?
>
>You can maybe write something like:
>
>--8<---------------cut here---------------start------------->8---
>#:use-module ((srfi srfi-1) #:hide (partition))
>--8<---------------cut here---------------end--------------->8---
>
>> I'll add the architecture in there too, as per discussion in the
>osinfo-db MR.
>
>Do you think it could be useful to add the same mechanism to ISO images
>built by the CI? In that case, you could maybe use the same mechanism
>in
>(gnu ci) and label the boot partition with %guix-version?
>
>Thanks,
>
>Mathieu